#
# spec file for package java-binfmt-misc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           java-binfmt-misc
Version:        1.4
Release:        bp153.1.16
Summary:        The binfmt_misc support for Java
License:        GPL-2.0
Group:          Development/Languages/Java
Url:            http://www.kernel.org/
# derived from Linux's Documentation/java.txt
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  update-desktop-files
Requires(post): desktop-file-utils
Requires(post): shared-mime-info
Requires(post): systemd
Requires(postun): desktop-file-utils
Requires(postun): shared-mime-info
Requires(postun): systemd
# split-alias for libzypp
Provides:       jpackage-utils:%{_bindir}/jarwrapper

%description
Linux beats them ALL! While all other OS's are TALKING about direct
support of Java Binaries in the OS, Linux is doing it!

You can execute Java applications and Java Applets just like any other
program after you have installed this package.

%prep
%setup -q

%build
gcc %{optflags} javaclassname.c -o javaclassname

%install
# a basic directory structure
install -d -m 0755 %{buildroot}/%{_datadir}/{applications,pixmaps}
install -d -m 0755 %{buildroot}/%{_libexecdir}/binfmt.d
install -d -m 0755 %{buildroot}/%{_bindir}/
install -d -m 0755 %{buildroot}/%{_mandir}/man1
# wrappers
install -m 0755 javaclassname %{buildroot}/%{_bindir}/
install -m 0755 *wrapper %{buildroot}/%{_bindir}/
# desktop menu
install -m 0644 share/java.png %{buildroot}%{_datadir}/pixmaps/java.png
install -m 0644 share/*desktop %{buildroot}%{_datadir}/applications/
for wrapper in jarwrapper javawrapper javawswrapper; do
    # init binfmt.d snippet
    install -m 0644 ${wrapper}.conf %{buildroot}%{_libexecdir}/binfmt.d/
    %suse_update_desktop_file -r %{buildroot}%{_datadir}/applications/$wrapper.desktop Technology Java
done
# manual page
mv docs/%{name}.1 %{buildroot}/%{_mandir}/man1
(
cd %{buildroot}/%{_mandir}/man1
for alias in jarwrapper javawrapper javawswrapper javaclassname; do
    ln -sf %{name}.1 $alias.1
done
)

%post
%desktop_database_post
%mime_database_post
%{_bindir}/systemctl restart systemd-binfmt.service ||:

%postun
%desktop_database_postun
%mime_database_postun
%{_bindir}/systemctl restart systemd-binfmt.service ||:

%files
%doc docs/
%attr(755,root,root) %{_bindir}/*
# Avoid dependency on systemd
%dir %{_libexecdir}/binfmt.d/
%{_libexecdir}/binfmt.d/*.conf
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*

%changelog
* Thu Sep  7 2017 mpluskal@suse.com
- Reload systemd-binfmt.service so that binfmt setting are applied
  without need to reboot (bsc#1057531)
* Sun Mar 26 2017 tchvatal@suse.com
- Run desktop db scriptlet updates wrt bsc#1030903
* Tue Mar 21 2017 tchvatal@suse.com
- Move the wrappers to libexec wrt bsc#1029650 (see binfmt.d(5))
- Format a bit with spec-cleaner
* Mon Jul 29 2013 mvyskocil@suse.com
- update to 1.4
  * add systemd-style binfmt.d config files
  * drop sysvinit script
  * rename and update readme file
* Wed Mar 25 2009 mvyskocil@suse.cz
- fixed minor indentation in initscript [bnc#435514] using vim's =
* Tue Feb 10 2009 mvyskocil@suse.cz
- Remove Java 64bit Webstart warning, as it's obsoleted by openjdk and Sun u12
* Thu Feb  5 2009 mvyskocil@suse.cz
- Initial packaging of java-binfmt-misc (splitted from jpackage-utils)
- Test of existence a files in /proc/sys/fs/binfmt_misc/ before write in stop
  (the older version ends with an error if stop was called several times)
- New java-binfmt-misc.1 manual page (manual page of every available wrapper is
  a link to this page)
- Include a Documentation/java.txt
- Build a javaclassname command from source code and drop the ad-hoc binary
  from sources
